Class KnowledgebaseController

java.lang.Object
org.apache.clusterbr.zupportl5.controller.KnowledgebaseController

@RestController @RequestMapping("/api/knowledgebase") public class KnowledgebaseController extends Object

REST-API Endpoints --

  • GET /api/knowledgebase/{id}: Returns data from the API
  • PUT /api/knowledgebase/{id}: Updates an entry by ID
  • DELETE /api/knowledgebase/{id}: Deletes an entry by ID

UML Diagrams:

UML CLASS Diagram

UML USECASE Diagram

UML SEQ Diagram

UML ACTIVITY Diagram

Since:
2024-1108
Author:
arcbrth@gmail.com
  • Constructor Details

  • Method Details

    • getAll

      @GetMapping public List<Knowledgebase> getAll()
    • getById

      @GetMapping("/{id}") public org.springframework.http.ResponseEntity<Knowledgebase> getById(@PathVariable Long id)
    • create

      @PostMapping public org.springframework.http.ResponseEntity<Knowledgebase> create(@RequestBody Knowledgebase item)
    • update

      @PutMapping("/{id}") public org.springframework.http.ResponseEntity<Knowledgebase> update(@PathVariable Long id, @RequestBody Knowledgebase item)
    • delete

      @DeleteMapping("/{id}") public org.springframework.http.ResponseEntity<Void> delete(@PathVariable Long id)